<template>
    <div class="main">
      <br>
      <img src=".././assets/grafico2.png" alt="grafico" style="width: 100px; float:left;">
      <br>
      <h1 style="text-align: center"> <b>Gráfico dos motoristas</b></h1>
      <br>
      <br>
      <h5>Neste Gráfico está sendo apresentado quantos motoristas o Samba Viagem tem por cada carteira, levando 
          em conta que apenas carteiras do tipo C, D e E são aceitas.
      </h5>
      <br>
      <br>
       <chartjs-doughnut v-bind:labels="labels" v-for="motorista of motoristas " :key="motorista.id" :data="[
       Number(motoristas.filter(m => m.categoria == 3).length),
       Number(motoristas.filter(m => m.categoria == 4).length),
       Number(motoristas.filter(m => m.categoria == 5).length),
       ]" v-if="motorista.id <= 2" v-bind:option="option">
       </chartjs-doughnut>
    </div>
</template>


<script>

    import Motorista from '../services/motoristas'
    import axios from 'axios'
    
   

export default {

    data() {

        return {
            
            motoristas: [], 
            
            labels: ["C", "D", "E"],
            
            option: {
                title: {
                display: true,
                position: 'bottom',
                text: 'Carteira'
                }
            }
        }
    },

    mounted() {
        this.listar()
    },
     methods: {
        listar(){
           
            Motorista.listar().then(resposta => {
            // console.log(resposta.data)
            this.motoristas = resposta.data
            
            })
        },
   },

}
</script>

<style scoped>

</style>
